• Status: Solved
  • Priority: Low
  • Security: Public
  • Views: 975
  • Last Modified:

RSAT tools wont install on Windows 10 1709 build

On Windows 10 ver 1709 and trying to install the remote tools. RSAT keeps telling me that the version is no applicable to my version of windows. Even tried x86 version.

Any ideas?
0
Jam_ManUK
Asked:
Jam_ManUK
  • 9
  • 6
  • 2
1 Solution
 
McKnifeCommented:
So what version do you use?
https://www.microsoft.com/en-us/download/details.aspx?id=45520 ->1st one.
0
 
Jam_ManUKAuthor Commented:
I have tried all 4, all fail.

Im using windows 10 1709 and need to connect to win 12 server so       
WindowsTH-RSAT_WS_1709-x64.msu would be the one Id need, but Ive tried them all.
0
 
McKnifeCommented:
Try on another machine - it will work. So what's up with yours? Maybe do an inplace upgrade to repair your windows: https://www.tenforums.com/tutorials/16397-repair-install-windows-10-place-upgrade.html
That keeps programs and settings and updates and RSAT as well should work again.
0
Free Tool: Port Scanner

Check which ports are open to the outside world. Helps make sure that your firewall rules are working as intended.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

 
Jam_ManUKAuthor Commented:
Nope fails on another machine in the exact same way.
0
 
Jam_ManUKAuthor Commented:
3rd PC, failed again.

Same again, win 10 1709 slightly different  Build 16299.125 as opposed to 129 above.
0
 
McKnifeCommented:
Try on a clean machine. Only windows 10 on it. Take a VM, for example. Never failed here, installed it over a dozen times on 1709.
0
 
Jam_ManUKAuthor Commented:
Ive tried on 3 pcs, I cant reinstall everyones PCs to install one tool,  I need to find out why it wont install on existing machines.
0
 
Jam_ManUKAuthor Commented:
Solved it, not running windows professional....
0
 
DonNetwork AdministratorCommented:
you need to install WindowsTH-RSAT_WS2016
0
 
Jam_ManUKAuthor Commented:
AS I said above, I tried all versions and all failed, and WS 2016 is only for server 2016 and I use 2012, so wrong version all round :)
0
 
DonNetwork AdministratorCommented:
I am aware of that, been down this road and had to use the WS 2016. I too am running 2012 servers.
0
 
McKnifeCommented:
"Solved it, not running windows professional.... " - you were what, not running a pro edition of windows, but a home edition?
0
 
Jam_ManUKAuthor Commented:
Indeed, all machines are on non-pro.

Unfortunately if it needs to be running on pro versions only then its not going to fit our purpose as we are trying to give remote users access who may not have window pro.
0
 
McKnifeCommented:
Well, if they are non-pro-edition users, they will not even be able to join the domain.
0
 
Jam_ManUKAuthor Commented:
Thats the point, they are remote users, they wont be on the domain. Does the client need to be on the domain then? Cant you just use domain credentials at the point of logon with RSAT or does it use your current login credentials?
0
 
McKnifeCommented:
The point is, they cannot install RSAT. Not being on the domain is not the problem, though the idea sounded weird, that's why I mentioned it.
0
 
Jam_ManUKAuthor Commented:
Found out the reason elsewhere
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Free Tool: Site Down Detector

Helpful to verify reports of your own downtime, or to double check a downed website you are trying to access.

One of a set of tools we are providing to everyone as a way of saying thank you for being a part of the community.

  • 9
  • 6
  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now